Page MenuHomePhabricator

Need a click-thru privacy disclaimer for Flickr uploading
Closed, ResolvedPublic

Description

Since part of the UploadWizard flickr uploading happens on the client-side, we need to let the user know that Flickr will receive their IP address and header info. I imagine this would be a simple 'OK' or 'Cancel' dialog box that appears when someone clicks 'Add images from Flickr'.


Version: master
Severity: normal

Details

Reference
bz42470

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 1:01 AM
bzimport added a project: UploadWizard.
bzimport set Reference to bz42470.
bzimport added a subscriber: Unknown Object (MLST).
kaldari created this task.Nov 27 2012, 2:02 AM

Erik says he would prefer a simple text notice beneath the Flickr URL field. I'll see what legal says.

(In reply to comment #2)

Fixed in https://gerrit.wikimedia.org/r/#/c/35940/

Ryan: You interpret "RESOLVED FIXED" as "a patch is in Gerrit but has not been merged yet"?

Yes. The reason is because I use Bugzilla as a to-do list. I keep saved searches for various extensions that show me all the unresolved bugs sorted by priority. This lets me quickly find bugs to work on. Such lists are not very useful if the top items are always things waiting for +2 rather than things that need actual work. If Bugzilla had a 'Waiting for Merge' status, this wouldn't be as much of an issue. Any thoughts on this?

Gilles triaged this task as Unbreak Now! priority.Dec 4 2014, 10:11 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Needs Triage.Dec 4 2014, 11:21 AM